/**
 * Classe: Mensage
 *         =======
 */
function Mensage()
{
/**
 *  Rotinas para validar Usuários do PhPage  ------------------------------  //
 */
  this.validUser = function(usuario)
  {
//alert('send: ' + usuario);
    var callId = jsrsCall( "core/rpcServer.Index.php",
                           "Mensage._returnUser",
                           "MsgServer.seek_user",
                           usuario,
                           false);
  }// End

  /* metodo returnUser  -------------------------------------------------  */
  this._returnUser = function( text, callId )
  {
    var cmd = text.substr(0,1);
    var msg = text.substr(2);
//alert('rec: '+text);
    ix = msg.indexOf(":");
    cod = msg.substr(0, ix); 
    user = msg.substr(ix+1); 
    
    objID = findDOM('divMSG', 0);

    if (cmd == '1')
    {
      userName = msg;
      objID.innerHTML="Usuário: " + user;
      codId = findDOM('codID', 0);
      codId.value = cod;
      codId = findDOM('nUser', 0);
      codId.value = user;
      document.forms[0].submit();
    }else
    {
      objID.style.color="#FF0000";
      objID.style.fontWeight='bold';
      objID.innerHTML='Usuário ou Senha Inválido...';
    }
  }// End

}// End function Mensage()

var Mensage = new Mensage(); // Pseudo static


